Subject: Re: [PATCH resend] Do not create commits whose message contains NUL

From: Miles Bader <[email-masked]>
Date: Wed, 14 Dec 2011 14:23:29 +0900

Jeff King <[email-masked]> writes:
>      But maybe it would be nicer to say something like:
>
>        error: your commit message contains NUL characters.
>        hint: This is often caused by using multibyte encodings such as
>        hint: UTF-16. Please check your editor settings.

I think the error message with the hint is much better for users, but
isn't the term "multibyte" a little misleading here?  It seems like
it's really _wide_ encodings that are generally the culprit.

[UTF-16 of course is particularly nasty in that it uses both units which
are wider than a byte ("wide"), _and_ multiple units per code-point....]

Thanks,

-Miles

-- 
Quack, n. A murderer without a license.